package com.okworx.ilcd.validation.tool.resource;

/**
 * Provides localization functionality.
 * The localization Strings have to be saved in 
 * com.okworx.ilcd.validation.tool.localization.messages*.properties
 * 
 * @author Oliver Armbruster
 *
 */
public class LocalizationString{
	public String BundleName;
	public String ProductName;
	public String WindowName;
	public String AppVersion;
	public String AboutWindowName;
	public String FileSelectionPartName;
	public String ValidationMessagesPartName;
	public String AspectsSelectionPartName;
	public String StatisticsPartName;
	public String AboutCopyrightPartName;
	public String AboutLibrariesPartName;
	
	public String FileMenuName;
	public String ValidationMenuName;
	public String HelpMenuName;
	public String AddMenuItemName;
	public String RemoveMenuItemName;
	public String ClearMenuItemName;
	public String QuitMenuItemName;
	public String StartMenuItemName;
	public String StopMenuItemName;
	public String AboutMenuItemName;
			
	public String FileSelectionPart_AddButtonName;
	public String FileSelectionPart_ClearButtonName;
	public String FileSelectionPart_FileDialogText;
	public String FileSelectionPart_RemoveButtonName;
	public String FileSelectionPart_StartButtonName;
	public String FileSelectionPart_StopButtonName;
	public String FileSelectionPart_TableViewerText;
	public String FileSelectionPart_FilenameColumnName;
	public String FileSelectionPart_PathColumnName;
	public String FileSelectionPart_ProgressColumnName;
	public String FileSelectionPart_ChkPositiveResultsText;
	public String FileSelectionPart_ChkPositiveResultsTooltip;
	
	public String ValidationPart_DatasetTypeColumnName;
	public String ValidationPart_EventTypeColumnName;
	public String ValidationPart_FilenameColumnName;
	public String ValidationPart_DatasetNameColumnName;
	public String ValidationPart_MessageColumnName;
	public String ValidationPart_UUIDColumnName;
	public String ValidationPart_ValidatingFileText;
	public String ValidationPart_ValidationCorrectText;
	public String ValidationPart_ValidationErrorsText1;
	public String ValidationPart_ValidationErrorsText2;
	public String ValidationPart_AspectNameColumnName;
	public String ValidationPart_ShowInFileSystem;
	public String ValidationPart_CopyItem;
	public String ValidationPart_CopyAll;

	public String SchemaSelectionPart_labelProfileText;
	public String SchemaSelectionPart_buttonDefaultValidatorText;
	public String SchemaSelectionPart_buttonArchiveValidatorText;
	public String SchemaSelectionPart_buttonCategoryValidatorText;
	public String SchemaSelectionPart_buttonFilenameValidatorText;
	public String SchemaSelectionPart_buttonLinkValidatorText;
	public String SchemaSelectionPart_buttonOrphansValidatorText;
	public String SchemaSelectionPart_buttonReferenceFlowValidatorText;
	public String SchemaSelectionPart_buttonSchemaValidatorText;
	public String SchemaSelectionPart_buttonXSLTStylesheetValidatorText;
	public String SchemaSelectionPart_buttonDefaultValidatorTooltipText;

	public String SchemaSelectionPart_buttonArchiveValidatorTooltipText;
	public String SchemaSelectionPart_buttonCategoryValidatorTooltipText;
	public String SchemaSelectionPart_buttonFilenameValidatorTooltipText;
	public String SchemaSelectionPart_buttonLinkValidatorTooltipText;
	public String SchemaSelectionPart_buttonOrphansValidatorTooltipText;
	public String SchemaSelectionPart_buttonReferenceFlowValidatorTooltipText;
	public String SchemaSelectionPart_buttonSchemaValidatorTooltipText;
	public String SchemaSelectionPart_buttonXSLTStylesheetValidatorTooltipText;

	public String AspectsSelectionPart_defaultILCDText;
	public String AspectsSelectionPart_addProfileText;
	
	public String StatisticsPart_lblTotalText;
	public String StatisticsPart_lblValidText;
	public String StatisticsPart_lblInvalidText;
	public String StatisticsPart_lblDatasetsText;
	public String StatisticsPart_lblFilesText;
	public String StatisticsPart_lblProcessesText;
	public String StatisticsPart_lblFlowsText;
	public String StatisticsPart_lblFlowPropertiesText;
	public String StatisticsPart_lblUnitGroupsText;
	public String StatisticsPart_lblContactsText;
	public String StatisticsPart_lblSourcesText;
	public String StatisticsPart_lblLCIAMethodsText;
	public String StatisticsPart_lblExternalFilesText;
	
	public String PrefPageCategory_buttonAddText;
	public String PrefPageCategory_buttonEditText;
	public String PrefPageCategory_buttonRemoveText;
	public String PrefPageCategory_buttonClearText;
	public String PrefPageCategory_NameColumnName;
	public String PrefPageCategory_PathColumnName;
	public String PrefPageCategory_VersionColumnName;
	public String PrefPageCategory_labelNameText;
	public String PrefPageCategory_labelPathText;
	public String PrefPageCategory_labelVersionText;
	public String PrefPageCategory_FileDialogText;

	public String AboutCopyrightPart_LicenseText;
	public String AboutCopyrightPart_LicenseText2;

	public String AboutLibrariesPart_NameColumnName;
	public String AboutLibrariesPart_VersionColumnName;
	public String AboutLibrariesPart_LicenseColumnName;
	public String AboutLibrariesPart_LicenseURLColumnName;
}
